import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiPopupCommandHandler, UiPopupConfig } from "../generated/UiPopupConfig";
import { UiColorConfig } from "../generated/UiColorConfig";
export declare class UiPopup extends AbstractUiComponent<UiPopupConfig> implements UiPopupCommandHandler {
    private contentComponent;
    private $main;
    private $componentWrapper;
    constructor(config: UiPopupConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    setBackgroundColor(backgroundColor: UiColorConfig): void;
    setDimmingColor(dimmingColor: UiColorConfig): void;
    setDimensions(width: number, height: number): void;
    setPosition(x: number, y: number): void;
    private updatePosition;
    onResize(): void;
    close(): void;
}
